aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-19 20:42:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-19 20:42:09 +0000
commit2675f8b5236657ca8c86b4889af883e046204ac1 (patch)
tree1ae9730cc58df966e757344f76c53a9e92cc11a8
parentbf31469b119de201926a58563fba6c86d0e0dafa (diff)
downloadaports-2675f8b5236657ca8c86b4889af883e046204ac1.tar.gz
aports-2675f8b5236657ca8c86b4889af883e046204ac1.tar.bz2
aports-2675f8b5236657ca8c86b4889af883e046204ac1.tar.xz
x11/xinit: new aport
X.Org initialisation program
-rw-r--r--x11/xinit/APKBUILD31
-rw-r--r--x11/xinit/xinitrc10
-rw-r--r--x11/xinit/xserverrc1
-rw-r--r--x11/xinit/xsession10
4 files changed, 52 insertions, 0 deletions
diff --git a/x11/xinit/APKBUILD b/x11/xinit/APKBUILD
new file mode 100644
index 0000000000..78120e2e0b
--- /dev/null
+++ b/x11/xinit/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xinit
+pkgver=1.1.1
+pkgrel=0
+pkgdesc="X.Org initialisation program "
+url="http://xorg.freedesktop.org/"
+license="GPL"
+subpackages="$pkgname-doc"
+depends="libx11 xauth uclibc"
+makedepends="pkgconfig libx11-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/xinit-$pkgver.tar.bz2
+ xinitrc
+ xsession
+ xserverrc"
+
+build ()
+{
+ cd "$srcdir"/xinit-$pkgver
+ ./configure --prefix=/usr || return 1
+ make XINITDIR=/etc/X11/xinit || return 1
+ make XINITDIR=/etc/X11/xinit DESTDIR="$pkgdir" install || return 1
+ install -m755 -d "$pkgdir"/etc/skel
+ install -m755 -d "$pkgdir"/etc/X11/xinit
+ install -m755 "$srcdir"/xinitrc "$pkgdir"/etc/skel/.xinitrc || return 1
+ install -m755 "$srcdir"/xsession "$pkgdir"/etc/skel/.xsession || return 1
+ install -m755 "$srcdir"/xserverrc "$pkgdir"/etc/X11/xinit/xserverrc || return 1
+}
+md5sums="93c73705ed9eb1e1a6b6938405672f2b xinit-1.1.1.tar.bz2
+cee2d70748a089fbc7db64a4a6e8fdb1 xinitrc
+7873d97db30d6c279ed37e3559e7c59d xsession
+bb550d3b9a2d2b6cbe6e2667a3a7cd03 xserverrc"
diff --git a/x11/xinit/xinitrc b/x11/xinit/xinitrc
new file mode 100644
index 0000000000..a5a3527135
--- /dev/null
+++ b/x11/xinit/xinitrc
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+# ~/.xinitrc
+#
+# Executed by startx (run your window manager from here)
+
+# exec gnome-session
+# exec startkde
+# exec startxfce4
+# ...or the Window Manager of your choice
diff --git a/x11/xinit/xserverrc b/x11/xinit/xserverrc
new file mode 100644
index 0000000000..6a636c1190
--- /dev/null
+++ b/x11/xinit/xserverrc
@@ -0,0 +1 @@
+exec /usr/bin/X -nolisten tcp
diff --git a/x11/xinit/xsession b/x11/xinit/xsession
new file mode 100644
index 0000000000..a16dc0b842
--- /dev/null
+++ b/x11/xinit/xsession
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+#
+# ~/.xsession
+#
+# Executed by xdm/gdm/kdm at login
+#
+
+/bin/bash --login -i ~/.xinitrc
+